OpenTTD Source: src/depot_cmd.cpp File Reference

OpenTTD Source 15.0-beta1

Functions
depot_cmd.cpp File Reference

Command Handling for depots. More...

`#include "stdafx.h"`
`#include "command_func.h"`
`#include "depot_base.h"`
`#include "company_func.h"`
`#include "string_func.h"`
`#include "town.h"`
`#include "vehicle_gui.h"`
`#include "vehiclelist.h"`
`#include "window_func.h"`
`#include "depot_cmd.h"`
`#include "table/strings.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
static bool | IsUniqueDepotName (const std::string &name)
| Check whether the given name is globally unique amongst depots.
CommandCost | CmdRenameDepot (DoCommandFlag flags, DepotID depot_id, const std::string &text)
| Rename a depot.

## Detailed Description

Command Handling for depots.

Definition in file depot_cmd.cpp.

## Function Documentation

## ◆ CmdRenameDepot()

CommandCost CmdRenameDepot | ( | DoCommandFlag | flags,
|  | DepotID | depot_id,
|  | const std::string & | text
| ) |  |

Rename a depot.

Parameters

  flags | type of operation
  depot_id | id of depot
  text | the new name or an empty string when resetting to the default

Returns
  the cost of this operation or an error

Definition at line 46 of file depot_cmd.cpp.

References CheckTileOwnership(), CMD_ERROR, DC_EXEC, CommandCost::Failed(), GetDepotVehicleType(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >::GetIfValid(), GetTileOwner(), GetWindowClassForVehicleType(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, IsUniqueDepotName(), MakeDefaultName(), MAX_LENGTH_DEPOT_NAME_CHARS, VehicleListIdentifier::Pack(), SetWindowClassesDirty(), SetWindowDirty(), Utf8StringLength(), WC_VEHICLE_DEPOT, and WC_VEHICLE_ORDERS.

## ◆ IsUniqueDepotName()

static bool IsUniqueDepotName | ( | const std::string & | name | ) |
| static

Check whether the given name is globally unique amongst depots.

Parameters

  name | The name to check.

Returns
  True if there is no depot with the given name.

Definition at line 30 of file depot_cmd.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_depot_pool >::Iterate().

Referenced by CmdRenameDepot().